Agora RTC Objective-C API Reference Refactor

Data Fields
ILocalUser::LocalAudioDetailedStats Struct Reference

## Data Fields
uint32_t | local_ssrc
int64_t | bytes_sent
int32_t | packets_sent
int32_t | packets_lost
float | fraction_lost
char | codec_name [media::base::kMaxCodecNameLength]
agora::Optional< int > | codec_payload_type
int32_t | ext_seqnum
int32_t | jitter_ms
int64_t | rtt_ms
int32_t | audio_level
double | total_input_energy
double | total_input_duration
bool | typing_noise_detected
ANAStats | ana_statistics

## Detailed Description

The detailed statistics of the local audio.

## Constructor & Destructor Documentation

## ◆ LocalAudioDetailedStats()

LocalAudioDetailedStats | ( |  | ) |
| inline

## Field Documentation

## ◆ local_ssrc

uint32_t local_ssrc

The synchronization source (SSRC) to identify the stream of RTP packets from the local audio.

## ◆ bytes_sent

int64_t bytes_sent

The number of sent audio bytes.

## ◆ packets_sent

int32_t packets_sent

The number of sent audio packets.

## ◆ packets_lost

int32_t packets_lost

The number of lost audio packets.

## ◆ fraction_lost

float fraction_lost

The fraction packet loss reported for this SSRC.

## ◆ codec_name

char codec_name[media::base::kMaxCodecNameLength]

The codec name.

## ◆ codec_payload_type

agora::Optional<int> codec_payload_type

The payload type as used in RTP encoding or decoding.

## ◆ ext_seqnum

int32_t ext_seqnum

The ext sequence number.

## ◆ jitter_ms

int32_t jitter_ms

The jitter duration (ms).

## ◆ rtt_ms

int64_t rtt_ms

The RTT (Round-Trip Time) duration (ms).

## ◆ audio_level

int32_t audio_level

The audio level (dBov) of the media source.

## ◆ total_input_energy

double total_input_energy

The audio energy of the media source.

## ◆ total_input_duration

double total_input_duration

The audio duration of the media source.

## ◆ typing_noise_detected

bool typing_noise_detected

Whether the typing noise is detected.

- `true`: The typing noise is detected.
- `false`: The typing noise is not detected.

## ◆ ana_statistics

ANAStats ana_statistics

The audio process time from record done to encode done

## ◆ apm_statistics

AudioProcessingStats apm_statistics